Bug 1626384 - Replace CJK fonts packages with google-noto-sans-cjk-ttc-fonts
Summary: Replace CJK fonts packages with google-noto-sans-cjk-ttc-fonts
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lorax
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-07 08:09 UTC by Akira TAGOH
Modified: 2018-10-03 22:47 UTC (History)
5 users (show)

Fixed In Version: lorax-30.0-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-03 22:47:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Akira TAGOH 2018-09-07 08:09:38 UTC
Description of problem:
runtime-install.tmpl has some CJK fonts packages like vlgothic-fonts, naver-nanum-gothic-fonts, and wqy-microhei-fonts though, we want to replace them with google-noto-sans-cjk-ttc-fonts which is default CJK fonts in f29.

Additional info:
runtime-cleanup.tmpl also contains some to drop bold fonts for naver-nanum-gothic-fonts. it should be dropped too. and you may want to do similar for google-noto-sans-cjk-ttc-fonts too to save more space.

For reference, this is the file list in the package:
/etc/fonts/conf.d/66-google-noto-sans-cjk-ttc.conf
/usr/share/fontconfig/conf.avail/66-google-noto-sans-cjk-ttc.conf
/usr/share/fonts/google-noto-cjk
/usr/share/fonts/google-noto-cjk/NotoSansCJK-Black.ttc
/usr/share/fonts/google-noto-cjk/NotoSansCJK-Bold.ttc
/usr/share/fonts/google-noto-cjk/NotoSansCJK-DemiLight.ttc
/usr/share/fonts/google-noto-cjk/NotoSansCJK-Light.ttc
/usr/share/fonts/google-noto-cjk/NotoSansCJK-Medium.ttc
/usr/share/fonts/google-noto-cjk/NotoSansCJK-Regular.ttc
/usr/share/fonts/google-noto-cjk/NotoSansCJK-Thin.ttc

and we maybe need Regular variant only in the installer image?

just for note of the size consumption, 3.4MB will be increased by this change.
The detailed estimation:
-rw-r--r--. 1 root root 3.9M Dec  6  2014 VL-Gothic-Regular.ttf
-rw-r--r--. 1 root root 4.2M Sep 30  2014 NanumGothic.ttf
-rw-r--r--. 1 root root 1.5M Sep 30  2014 NanumGothicLight.ttf
-rw-r--r--. 1 root root 5.0M May 25  2009 wqy-microhei.ttc

and

-rw-r--r--. 1 root root 18M Jun  1  2017 NotoSansCJK-Regular.ttc

Comment 1 Brian Lane 2018-09-07 15:56:24 UTC
My comments from the other bug apply here as well, I need a tested patch.

Comment 2 Akira TAGOH 2018-09-18 05:30:50 UTC
I've created a PR for this:
https://github.com/weldr/lorax/pull/468


Note You need to log in before you can comment on or make changes to this bug.